#ifndef ATL_dtGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,240,320,400,480,720,800,880,960,2000
 * N : 25,240,320,400,480,720,800,880,960,2000
 * NB : 4,16,16,40,40,28,24,80,80,80
 */
#define ATL_dtGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 132) (nb_) = 4; \
   else if ((n_) < 360) (nb_) = 16; \
   else if ((n_) < 600) (nb_) = 40; \
   else if ((n_) < 760) (nb_) = 28; \
   else if ((n_) < 840) (nb_) = 24; \
   else (nb_) = 80; \
}


#endif    /* end ifndef ATL_dtGetNB_geqrf */
